package org.apache.commons.javaflow.bytecode.transformation.asm;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.apache.commons.javaflow.bytecode.transformation.AbstractTransformerTestCase;
import org.apache.commons.javaflow.bytecode.transformation.ClassTransformerClassLoader;


public final class ResumeTestCase extends TestCase {

    public static Test suite() throws Exception {

    	final ClassTransformerClassLoader classloader =
            new ClassTransformerClassLoader(new AsmClassTransformer());
        
        final Class clazz = classloader.loadClass(
        		AbstractTransformerTestCase.getTestCaseClassName(
        				ResumeTestCase.class));

        final TestSuite suite = new TestSuite(classloader.createImplementationOf(clazz));
        suite.setName("ASM " + AbstractTransformerTestCase.getTestCaseName(ResumeTestCase.class));
        return suite;
    }
 
}
